package cn.tsy.data.idsse.dsds.model.sample;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
* 测线轨迹
* @author: zxq
* @date: 2024-05-17 07:00:35
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmesoft.cn
*/
@HmeTable(name = "SAMPLE_LINE_TRACK", key="TSY_ID")
public class SampleLineTrack extends HmeBean{
	private static final long serialVersionUID = -8131899118331192635L;
	private Integer tsy_id;
	//测线作业内部编号
	private Integer line_id;
	//轨迹经度
	private String track_lon;
	//轨迹纬度
	private String track_lat;
	//轨迹时间
	private LocalDateTime track_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 测线作业内部编号
	 */
	public Integer getLine_id() {
		return this.line_id;
	}

	/****
	 * 测线作业内部编号
	 */
	public void setLine_id(Integer line_id) {
		this.line_id = line_id;
	}

	/****
	 * 轨迹经度
	 */
	public String getTrack_lon() {
		return this.track_lon;
	}

	/****
	 * 轨迹经度
	 */
	public void setTrack_lon(String track_lon) {
		this.track_lon = track_lon;
	}

	/****
	 * 轨迹纬度
	 */
	public String getTrack_lat() {
		return this.track_lat;
	}

	/****
	 * 轨迹纬度
	 */
	public void setTrack_lat(String track_lat) {
		this.track_lat = track_lat;
	}

	/****
	 * 轨迹时间
	 */
	public LocalDateTime getTrack_time() {
		return this.track_time;
	}

	/****
	 * 轨迹时间
	 */
	public void setTrack_time(LocalDateTime track_time) {
		this.track_time = track_time;
	}


}